AML and PEP ScreeningScreeningIdentity AML Screening POST
POST
/api/v1/verification/api/id_aml_screening/

Identity AML Screening

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request payload for Identity AML Screening. Fields vary by channel type.

Response Body

application/json

curl -X POST "https://example.com/api/v1/verification/api/id_aml_screening/" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "kyc": null,    "name": {      "pep": [        {          "data_source": [            "http://www.wikidata.org/entity/Q62356"          ],          "political_party": [            "Action Congress of Nigeria"          ],          "position_and_function": [            "Lagos State Governor"          ],          "identification_information": {            "name": "Sandbox User",            "image": [              "base64_content"            ],            "spouse": "Abimbola Raymond",            "given_name": "Babawale",            "educated_at": [              "University of Benin"            ],            "family_name": "",            "instance_of": "human",            "date_of_birth": "1963-06-28T00:00:00Z",            "sex_or_gender": "male",            "place_of_birth": "Lagos",            "native_language": "Yoruba",            "Commons_category": "Sandbox User",            "confidence_score": 100,            "personal_pronoun": "L485",            "X_(Twitter)_username": "tunderaymond",            "percentage_name_match": 100,            "religion_or_worldview": "Islam",            "country_of_citizenship": "Nigeria",            "social_media_followers": "833700",            "languages_spoken_written_or_signed": [              "English"            ]          }        }      ],      "sanction": [        null      ],      "media_search": [        null      ]    },    "is_pep": true,    "report": "a45bfe8e-8dcb-4cc3-922f-d394a099933e",    "profile_id": "a45bfe8e-8dcb-4cc3-922f-d394a099933e",    "is_sanctioned": false,    "rule_evaluation": {      "risk_level": "high",      "auto_flagged": true,      "rules_triggered": 2,      "triggered_rules": [        {          "reason": "is_pep equals (actual: True)",          "rule_id": "b8caf8ef-49b7-4b14-a68c-f957370f6a55",          "severity": "high",          "auto_flag": true,          "rule_name": "Similar Name Match",          "require_manual_review": true        }      ],      "total_rules_evaluated": 2,      "requires_manual_review": true    },    "custom_pep_count": 0,    "is_adverse_media": false,    "custom_pep_matches": [      null    ],    "custom_sanction_count": 0,    "custom_sanction_matches": [      null    ]  },  "status": true,  "response_code": "00",  "message": "string",  "billing_info": {    "was_charged": true,    "amount": "string",    "currency": "string"  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel